System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable

This class uses a linear search algorithm to find entries in the list of delegates. A linear search algorithm is inefficient when working with a large number of entries. Therefore, when you have a large list, finding entries is slow.

Provides a simple list of delegates. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Adds a delegate to the list.

  The object that owns the event. The delegate to add to the list.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds a list of delegates to the current list.

  The list to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the memory it was occupying can be reclaimed by garbage collection.

  Always call before you release your last reference to the . Otherwise, the resources the is using will not be freed until garbage collection calls the object's destructor.

  Disposes the delegate list.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Delegate `` To be added: an object of type 'object' To be added To be added: an object of type 'Delegate' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Removes a delegate from the list.

  The object that owns the event. The delegate to remove from the list.